var $ = jQuery;

$(function() {
	
	function controlVisualization() {
		var disciplineType = $("input[name=DisciplineType]:checked").val();
		if (disciplineType === 'exam') {
			$("#SelectDisciplineDiv").show();
			$("#DownloadStatement").hide();
		} else if (disciplineType === 'credit') {
			$("#SelectDisciplineDiv").hide();
			$("#DownloadStatement").show();
		}
	}

    // on page loaded
    controlVisualization();

    var jDownloadStatement = $("#DownloadStatement");
    var jDownloadExamDocument = $("#DownloadExamDocument");
	var jSelectGroup = $("#SelectGroup");
	var jSelectDiscipline = $("#SelectDiscipline");

    $("#ExamChoice").change(controlVisualization);
    $("#CreditChoice").change(controlVisualization);
	

    //Получить список групп по ID курса
    $("#SelectGrade").change(function() {
        var gradeID = parseInt($(this).val()) || 0;
        if (gradeID > 0) {
            $.post(
                g_URLdir + "handler/GetData/GetGroups",
                {   
                    "GradeID": gradeID 
                },
                function(d){
                    d = $.parseJSON(d);
                    if(d.success === true) {
                    	console.log(d.data);
                    	var i = 0;
                    	jSelectGroup.html("<option>-Не выбрана-</option>");
						jSelectDiscipline.html("<option>-Не выбрана-</option>");
                    	for (i in d.data)
                    	{
                    		group = d.data[i];
                    		jSelectGroup.append("<option value='"+ group.ID +"'>Группа "+ group.GroupNum +" ("+ group.SpecAbbr +")</option>");
                    	}
                    	if (i > 0 )
                    		jSelectGroup.removeAttr("disabled");
                    }
                }
            );
        }
        else 
        {
        	jSelectGroup.attr("disabled", "disabled");
        	jSelectGroup.html("<option>-Не выбрана-</option>");

        	jDownloadStatement.attr("disabled", "disabled");
        }
		jDownloadExamDocument.attr("disabled", 1);
    });

    $("#SelectGroup").change(function() {
        var groupID = parseInt($(this).val()) || 0;
	 	if (groupID > 0) {
            jDownloadStatement.removeAttr("disabled");

            // Заполнить список дисциплин
            $.post(
                g_URLdir + "handler/GetData/GetDisciplinesForGroup",
                {
                    "GroupID": groupID
                },
                function (d) {
                    d = $.parseJSON(d);
                    if (d.success === true) {
                        console.log(d.data);
                        var i = 0;
                        jSelectDiscipline.html("<option>-Не выбрана-</option>");
                        for (i in d.data) {
                            discipline = d.data[i];
                            if (discipline.ExamType !== 'exam')
                                continue;
                            jSelectDiscipline.append("<option value='" + discipline.DisciplineID + "'>" + discipline.SubjectName + "</option>");
                        }
                        if (i > 0)
                            jSelectDiscipline.removeAttr("disabled");
                    }
                }
            );
        }
	 	else jDownloadStatement.attr("disabled", "disabled");
		
		jDownloadExamDocument.attr("disabled", 1);
	});

    $("#SelectDiscipline").change(function() {
        var disciplineID = parseInt($(this).val()) || 0;
        if (disciplineID > 0)
            jDownloadExamDocument.removeAttr("disabled");
        else jDownloadExamDocument.attr("disabled", 1);
    });

    // Скачать ведомость
    $('body').on('click', '#DownloadStatement', function(){
        $.fileDownload( g_URLdir + 'handler/FileCreator/GenerateFinalFormsForGroup', {
            httpMethod: "POST",
            data: 
            {
                "GroupID": parseInt($("#SelectGroup").val())//,
                //"ExamType": $("input[name=DisciplineType]:checked").val()
            },
            successCallback: function () {

            },
            failCallback: function () {
                EventInspector_ShowMsg('У выбранной группы отсутствуют дисциплины с зачетом', 'error');
            }
        });
    });

    // Печать ведомости
    $('body').on('click', '#DownloadExamDocument', function(){
        $.fileDownload( g_URLdir + 'handler/FileCreator/GenerateFinalForm', {
            httpMethod: "POST",
            data:
            {
                "disciplineID": parseInt($("#SelectDiscipline").val()),
                "studyGroupID": parseInt($("#SelectGroup").val())
            },
            successCallback: function () {

            },
            failCallback: function () {
                EventInspector_ShowMsg('Не удалось напечатать ведомость!', 'error');
            }
        });
    });

    // Блокирование дисциплины

    // Печать ведомости и блокирование дисциплины


});
